Bug 177946 - Review Request: xkeycaps : Graphical front end to xmodmap
Review Request: xkeycaps : Graphical front end to xmodmap
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-16 14:05 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 04:50:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-01-16 14:05:58 EST
Spec Name or Url: http://www.auroralinux.org/people/spot/review/xkeycaps.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/xkeycaps-2.46-1.src.rpm
Description:
xkeycaps is a graphical front-end to xmodmap. It opens a window that
looks like a keyboard; moving the mouse over a key shows what KeySyms
and Modifier bits that key generates. Clicking on a key simulates
KeyPress/KeyRelease events on the window of your choice. It is possible
to change the KeySyms and Modifiers generated by a key through a
mouse-based interface. This program can also write an input file for
xmodmap to recreate your changes in future sessions.

NOTE TO REVIEWERS: This spec and SRPM are for FC-5 (modular X). If you are testing this on an older build of Fedora Core, you can replace all of the BuildRequires in the spec with "xorg-x11-devel".
Comment 1 Chris Chabot 2006-01-16 15:04:40 EST
Compiled cleanly & functions on FC5-devel

Missing: .desktop file (Required by PackageReviewGuidelines) or explanation why
Missing: (copied from upstream or in package included) licence file, however
there is a copyright mentioned in the manpage, not sure if this is 'good
enough', will trust packager's judgement on this
 
Review list MUST items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (BSD-ish?) is fedora extra's compatible
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- No need for ldconfig
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed

Review list SHOULD items:
- No insane scriplets
- No unnescesarry requires

rpmlint has no complaints at all (no output) & mock build cleanly (fc-devel-i386)
Comment 2 Chris Chabot 2006-01-16 15:10:40 EST
Woops mock did end up complaining there are missing build requires:
libXt-devel
xorg-x11-proto-devel

Please add those to BR
Comment 3 Tom "spot" Callaway 2006-01-16 15:51:32 EST
Good catches. The source doesn't include any license text, and the license is
derived from the documentation and source code, so there will not be any text in
%doc.

-2 has all the above issues resolved:

SRPM: http://www.auroralinux.org/people/spot/review/xkeycaps-2.46-2.src.rpm
SPEC: http://www.auroralinux.org/people/spot/review/xkeycaps.spec
Comment 4 Chris Chabot 2006-01-16 16:18:25 EST
Thanks v2 looks good, formal reviewlist:

Review list MUST items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (BSD-ish?) is fedora extra's compatible, included in 'man xkeycaps'
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- No need for ldconfig
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed
- Includes desktop file, BR desktop-file-utils, installs using
desktop-file-install w/ proper vendor/category

Review list SHOULD items:
- No insane scriplets
- No unnescesarry requires

rpmlint has no complaints at all (no output)

However mock failed again; It has a missing libXext-devel BR.

Please if you have a faster machine then my notebook try mockbuilds your self
too to make sure your including all BR's properly? :-)

After adding that BR, rpmbuild -bs and a new mock build everything is peachy
perfect again. 

FE-APPROVED but based on the assumption you will add that BR before commiting to
CVS.

Comment 5 Chris Chabot 2006-01-16 16:19:44 EST
Ps please assign bug to me according to process docs, i haven't been processed
for fedorabugs yet so i can't yet :-)
Comment 6 Tom "spot" Callaway 2006-01-17 00:38:08 EST
This is built... but you forgot to set the bug to FE-ACCEPT, so please close
this when you do. :)
Comment 7 Chris Chabot 2006-01-17 04:50:58 EST
Woops my bad, set correct blocker bug now and closing to 'NEXTRELEASE"

Note You need to log in before you can comment on or make changes to this bug.